# $Revision: 1.24 $, $Date: 2007-02-17 13:08:02 $
%include	/usr/lib/rpm/macros.mono
%define		snap 20051130
Summary:	Gsf# - libgsf .NET Binding
Summary(pl.UTF-8):	Gsf# - wiązanie .NET dla libgsf
Name:		dotnet-gsf-sharp
Version:	0.8.1
Release:	1
Epoch:		0
License:	LGPL
Group:		Libraries
Source0:	http://primates.ximian.com/~joe/gsf-sharp-%{version}.tar.gz
# Source0-md5:	92bb68612bdcd8ca3c475b3fee097968
Patch0:		%{name}-pkgconfig.patch
Patch1:		%{name}-sharp20.patch
URL:		http://www.gnome.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	dotnet-gtk-sharp2-devel >= 2.10.0
BuildRequires:	libgsf-devel >= 1.14.1
BuildRequires:	libtool
BuildRequires:	mono-csharp >= 1.1.13.8
BuildRequires:	monodoc >= 1.1.13
BuildRequires:	pkgconfig
Requires:	mono >= 1.1.13.8
ExcludeArch:	i386
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Gsf# - libgsf .NET Binding.

%description -l pl.UTF-8
Gsf# - wiązanie .NET dla libgsf.

%package devel
Summary:	Gsf# development files
Summary(pl.UTF-8):	Pliki programistyczne Gsf#
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	dotnet-gtk-sharp2-devel >= 2.10.0

%description devel
Gsf# development files.

%description devel -l pl.UTF-8
Pliki programistyczne Gsf#.

%package static
Summary:	Gsf# static library
Summary(pl.UTF-8):	Biblioteka statyczna Gsf#
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Gsf# static library.

%description static -l pl.UTF-8
Biblioteka statyczna Gsf#.

%prep
%setup -q -n gsf-sharp-%{version}
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/lib*.so
%{_prefix}/lib/mono/gac/gsf-sharp

%files devel
%defattr(644,root,root,755)
%{_libdir}/*.la
%{_prefix}/lib/mono/gtk-sharp-2.0/gsf-sharp.dll
%{_datadir}/gapi-2.0/gsf-api.xml
%{_pkgconfigdir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dotnet-gsf-sharp.spec,v $
Revision 1.24  2007-02-17 13:08:02  qboosh
- mono is supported on alpha,sparc* now

Revision 1.23  2007/02/12 21:23:53  glen
- tabs in preamble

Revision 1.22  2007/02/12 00:48:46  baggins
- converted to UTF-8

Revision 1.21  2006/10/06 17:36:57  qboosh
- cleanup

Revision 1.20  2006/09/20 20:03:44  grzegol
- updated to 0.8.1
- removed outdated version_check patch

Revision 1.19  2006/06/27 18:22:35  freetz
- use gtk-sharp-2.0 dirs (patch), rel.8

Revision 1.18  2006/06/22 17:46:29  freetz
- rel.7, bleeding edge deps

Revision 1.17  2006/03/19 18:02:04  freetz
- rel.6 (corrected version_check patch)

Revision 1.16  2006/03/19 17:52:40  freetz
- really bumped release (to 5)

Revision 1.15  2006/03/19 17:47:26  freetz
- added version_check patch, rel.2

Revision 1.14  2006/03/07 17:45:27  freetz
- fixed gtk# requirement, rel.4

Revision 1.13  2005/12/03 13:36:43  qboosh
- R: mono >= 1.1.7 (dlls in /usr/lib)

Revision 1.12  2005/12/01 19:29:25  freetz
- dropped libdir patch, pkgconfig patch added rel.3

Revision 1.11  2005/11/30 19:22:16  freetz
- rel.2

Revision 1.10  2005/11/30 19:15:53  freetz
- added libdir patch, removed 'one dir to rule them all fix'

Revision 1.9  2005/11/30 18:40:07  freetz
- one libdir to rule them all

Revision 1.8  2005/11/30 18:32:07  freetz
- include snap in version

Revision 1.7  2005/11/30 18:24:55  freetz
- updated to unreleased 0.7 version, BR/R cleanup, static subpackage added
  run ldconfig in post/postun

Revision 1.6  2005/05/07 10:20:40  qboosh
- build on alpha, revised deps
- doesn't build with libgsf 1.11.1 anyway

Revision 1.5  2005/02/10 18:02:40  qboosh
- added libgsf-gnome version

Revision 1.4  2005/02/06 15:13:08  deejay1
- added missing BR: libgsf-gnome-devel, rel. up to 2

Revision 1.3  2005/01/17 08:28:51  krzak
- rel. 1

Revision 1.2  2005/01/13 21:46:56  qboosh
- pl desc fix, unified

Revision 1.1  2005/01/13 13:49:28  krzak
- added
